# Gimp.Gradient.prototype.segment_range_replicate

    function segment_range_replicate(start_segment: Number(gint), end_segment: Number(gint), replicate_times: Number(gint)): Boolean {
        // Gjs wrapper for gimp_gradient_segment_range_replicate()
    }

Replicate the segment range

Replicates a segment range a given number of times. Instead of the original segment range, several smaller scaled copies of it will appear in equal widths. Returns an error when a segment index is out of range, or gradient is not editable.

Since 2.2

start_segment

  Index of the first segment to operate on.

end_segment

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

replicate_times

  The number of replicas for each segment.

Returns

  TRUE on success.